server:
  port: 8354
  servlet:
    context-path: /
    session:
      timeout: 30m # 会话超时时间，这里设置为30分钟
  tomcat:
    connection-timeout: 20000 # 连接超时时间，单位是毫秒，这里设置为20秒

spring:
  datasource:
    username: pan4
    password: EEE5jdifetRWWKZP
    url: jdbc:mysql://rm-wz96vplielwriwc67xo.mysql.rds.aliyuncs.com/pan4?characterEncoding=utf8&useSSL=false&serverTimezone=GMT%2b8&rewriteBatchedStatements=true
    driver-class-name: com.mysql.cj.jdbc.Driver
    hikari:
      maximum-pool-size: 10
      max-lifetime: 1800000        # 30分钟
      idle-timeout: 600000         # 10分钟
      validation-timeout: 5000     # 5秒
      connection-test-query: SELECT 1

serviceNumber: 5
taskSize: 1
serviceType: Qobuz-jp